MODULE constants

IMPLICIT NONE

	DOUBLE PRECISION, PARAMETER				:: pi=2.0d0*ACOS(0.0d0)!=3.14159265358979
	DOUBLE PRECISION					:: k1, k2, m1, m2

	SAVE k1, k2, m1, m2

CONTAINS 

	RECURSIVE FUNCTION factorial(n) RESULT(N_fact)
    
	INTEGER                         :: n, N_fact
    
	IF (n .EQ. 0 .OR. n .EQ. 1) THEN
    
		N_fact=1
       
	ELSE
    
		N_fact=n*factorial(n-1)
       
	END IF
    
	END FUNCTION factorial


END MODULE constants
